Bug Hunting Session
Bug 80490 - Nonprinting Characters and AutoSpellcheck tooltips
Summary: Nonprinting Characters and AutoSpellcheck tooltips
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Jorendc
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Formatting-Mark Toolbars-Tooltips
  Show dependency treegraph
 
Reported: 2014-06-24 18:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 01:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-24 18:59:47 UTC
I have already posted this to the l10n mailing list < http://listarchives.libreoffice.org/global/l10n/msg07875.html > and sophi suggested i put a bug report CCing Timar.

-- text from mailing list --

I came across the tooltip 'Nonprinting Characters' in Writer and i think it should be changes to 'Non-printing Characters' or 'Non-printable Characters', as nonprinting is not a valid english word, even in libreoffice's spellcheck. :)

Also came across the tooltip 'AutoSpellcheck' and think it should be changed to 'Auto Spellcheck' or 'Automatic Spellcheck'.

I'm mentioning this in the mailing list as i didnt see any means to make suggestions for english (US) in the translation website.

----------------------------

As a comparison here is how other office suites have nonprinting chracters
Word 2013 : Show/Hide ¶ - Show paragraph marks and other hidden formatting symbols
Kingsoft Writer : Show/Hide Editing Marks

Tom Davies suggested using 'spell-check' over 'spellcheck' and according to the dictionary, that would be more accurate, but i think an even better suggestion would be 'Automatically Check Spelling' or 'Automatic Spell Checking'
Comment 1 Commit Notification 2014-06-25 10:12:43 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=140e53564100ed7c7bff881d5b8c10e5fda01dd2

partially fix fdo#80490 - string 'Non-printing Characters'



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-06-25 10:12:57 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1ee11ce499f02eda7fdd783901f1ad62eac0bc7

fix fdo#80490 - string 'Auto Spell Checking'



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Adolfo Jayme 2014-10-05 07:15:32 UTC
Remember to add any string change like these to this wiki page: https://wiki.documentfoundation.org/Documentation/RecentStringChanges

That way you will lessen documentation maintainers’ burden when keeping up with these changes ;-)